![Optimus logo](./.github/optimus-logo--960x540.png)

# Optimus

> Image compression, optimization and conversion desktop app.

## Overview

Optimus is a desktop image optimization application. It supports conversion and compression between WebP, JPEG, and PNG image formats.

## Features

- Convert to and from JPEG, PNG, and WebP formats.
- Compress JPEG, PNG (lossy), and WebP (lossy and lossless) formats.
- Resize images to various sizes in a single batch operation.
- View simple stats on session and all-time use.

![Screenshot of Optimus primary image editor view](./.github/optimus_screenshot_editor--1200x742.png)

![Screenshot of Optimus options view](./.github/optimus_screenshot_options--1200x936.png)

## Installation

### Downloads

Download the latest version from the [releases page](https://github.com/Splode/optimus/releases).

Optimus is available for Windows, macOS, and Linux.

### Scoop

```bash
scoop install https://raw.githubusercontent.com/Splode/optimus/main/optimus.json
```

## Development

Optimus is built using [Wails](https://wails.app/) and uses JavaScript on the frontend and Go on the backend.

Take the following steps to develop locally:

1. Clone the repo
2. Install Wails
3. Install go and npm dependencies

## License

MIT &copy; 2020 Christopher Murphy
